let
  podcastHelper = url: title: {
    url = url;
    title = title;
    hide-description = true;
    hide-categories = true;
  };
  podcastData = [
    (podcastHelper "https://sigmanutrition.libsyn.com/rss/" "Sigma Nutrition Radio")
    (podcastHelper "https://wakingup.libsyn.com/rss" "Making Sense with Sam Harris")
    (podcastHelper "https://feeds.simplecast.com/uNKL_XD_" "Docs Who Lift")
    (podcastHelper "https://feeds.redcircle.com/677da6c9-d33f-49df-95d7-dc8821b797b4" "Mayo Clinic on Nutrition")
  ];
  podcastEntries = builtins.map (podcast: podcast) podcastData;
in
{
  type = "rss";
  title = "Podcasts";
  style = "detailed-list";
  collapse-after = 3;
  feeds = podcastEntries;
}
